

function getdata() {
    if (document.getElementById("paytype1").checked) {
        document.getElementById("checkdata").style.display = "none";
        document.getElementById("checkdata2").style.display = "block";
        document.getElementById("checkdata3").style.display = "none";
        submitform();
    } else if (document.getElementById("paytype2").checked) {
        document.getElementById("checkdata").style.display = "block";
        document.getElementById("checkdata2").style.display = "none";
        document.getElementById("checkdata3").style.display = "none";
        document.getElementById("txtAmount").value = document.getElementById("assetprice").value;
        $("#txtcheckNum").val("");
        $("#ddlBank").val("");
        submitform();
    } else if (document.getElementById("paytype3").checked) {
        document.getElementById("checkdata3").style.display = "block";
        document.getElementById("checkdata").style.display = "none";
        document.getElementById("checkdata2").style.display = "none";
        document.getElementById("txtAmount").value = document.getElementById("assetprice").value;
        $("#txtcheckNum").val("");
        $("#supplierid").val("");
        submitform();
    }

}
function load1() {
    $('#sss').html('<img src="images/loader.gif/>');
    $('#sss').load('getallaccountajax.php?do=bank&bankid=' + document.getElementById('ddlBank').value);
}

function submitform() {
    var txtAmount = Number(document.getElementById("txtAmount").value);
    var savebefor = Number($('#saveid option:selected').data('val'));
    var assetprice = Number(document.getElementById("assetprice").value);
    if (document.getElementById("paytype1").checked) {
        if (savebefor < assetprice) {
            alert('عفوا القيمه المبلغ الموجود بالخزنه  لا يكفى');
            document.getElementById("assetprice").value = savebefor;
        }
    } else if (document.getElementById("paytype2").checked == true) {
        document.getElementById("txtAmount").value = document.getElementById("assetprice").value;
        //alert('dddd');
        if (document.getElementById("accountbeginingbalanceDis").value > 0) {
            var accountbeginingbalanceDis = document.getElementById("accountbeginingbalanceDis").value;
            if (accountbeginingbalanceDis < assetprice) {
                alert('عفوا القيمه المبلغ الموجود بالحساب  لا يكفى');
                document.getElementById("txtAmount").value = accountbeginingbalanceDis;
                document.getElementById("assetprice").value = accountbeginingbalanceDis;
            }

        } else {
            alert('من فضلك اختر البنك والحساب لكى يتم  تحديد المبلغ المتاح');
        }


    }
    else if (document.getElementById("paytype3").checked == true) {
        if ($('#supplierid').val() > 0) {
            var debtbefor = Number($('#supplierid option:selected').data('val'));
            if (debtbefor < assetprice) {
                alert('عفوا القيمه المبلغ الموجود بالدين  لا يكفى');
                document.getElementById("txtAmount").value = debtbefor;
                document.getElementById("assetprice").value = debtbefor;
            }
        }
        else {
            alert('من فضلك اختر المورد لكى يتم  تحديد المبلغ المتاح');
        }
    }
}
function load2() {
    //alert('lkjklj');
    $('#ddd').html('<img src="images/loader.gif/>');
    $('#ddd').load('getallaccountajax.php?do=account&accountid=' + document.getElementById('accountid').value);
}

$('#savebtn').live('click', function (e) {
    var name = $('#name').val();
    name = name.trim();
    $.post('assetTypeAjaxController.php?do=checkname', { name: name }, function (data) {

        if (data == -1) {
            $('#nameError').show();
            $('#nameError').html("<p> ادخل نوع الاصل بطريقة صحيحه  </p>");
        } else if (data == -2) {
            $('#nameError').show();
            $('#nameError').html("<p> تم ادخال هذا الاسم من قبل</p>");
        } else {
            $('#saveform').submit();
        }
    });
});

$('#savebtn2').on('click', function (e) {
    var assetname = $('#assetname').val();
    var txtuser = $('#txtUser').val();
    assetname = assetname.trim();

    $.post('assetAjaxController.php?do=checkName', { assetname: assetname, txtuser: txtuser }, function (data) {

        if (data == -1) {

            $('#nameError').show();
            $('#nameError').html("<p style='display: inline;color: #CC3333;border: 1px solid #CC3333;'> ادخل  الاصل بطريقة صحيحه  </p>");
        } else if (data == -2) {

            $('#nameError').show();
            $('#nameError').html("<p style='display: inline;color: #CC3333;border: 1px solid #CC3333;'> تم ادخال هذا الاسم من قبل</p>");
        } else if ($('#checkdata').is(':visible')) {

            if (data == 0) {
                $('#usererror').show();
                $('#usererror').html("<p style='display: inline;color: #CC3333;border: 1px solid #CC3333;'> ادخل  اسم المستفيد  </p>");
            } else {
                $('#nameError').hide();
                $('#usererror').hide();
                //summit
                //$('#saveform2').submit();//does not work
                //but this one worked
                var myForm = document.getElementById("saveform2");
                var SS = Spry.Widget.Form.validate(myForm);
                if (SS == true) {
                    myForm.submit();
                    $('#savebtn2').unbind('click');
                }

            }
        } else {

            $('#nameError').hide();
            $('#usererror').hide();
            //summit
            //$('#saveform2').submit();//does not work
            //but this one worked
            var myForm = document.getElementById("saveform2");
            var SS = Spry.Widget.Form.validate(myForm);

            myForm.submit();
            $('#savebtn2').unbind('click');
            //            if (SS == true) {
            //                myForm.submit();
            //                $('#savebtn2').unbind('click');
            //            }

        }
    });
});